Redmine - Defect #35039

API create issue relation method returns undefined method "split' when issue id is sent as integer
Description

Extracted from #33418#note-20:
hi everyone! | am the owner of redmine-java-api project (https:/github.com/taskadapter/redmine-java-api).
| get a server error with Redmine 4.2.0 when trying to create a relation with the request body that previously worked for
Redmine 3.x:

{"relation"=>{"issue_to_id"=>576, "relation_type"=>"relates"}, "issue_id"=>"575"}

the error is:

NoMethodError (undefined method “split' for 576:Integer):

because issue_to_id is now expected to be a string with commas, instead of a number.

is this a permanent change or just an experiment? it would be too expensive to maintain compatibility for multiple redmine
versions in the java library.

Related issues:
Related to Redmine - Feature #33418: Bulk addition of related issues Closed

Associated revisions

Revision 20932 - 2021-04-12 11:20 - Go MAEDA

Fix undefined method 'split' when issue_to_id is numeric (#35039).

Patch by Marius BALTEANU.

Revision 20935 - 2021-04-13 04:46 - Go MAEDA
Merged r20932 from trunk to 4.2-stable (#35039).

History

#1 - 2021-04-05 21:30 - Marius BALTEANU
- Related to Feature #33418: Bulk addition of related issues added

#2 - 2021-04-07 08:09 - Marius BALTEANU

- File 0001-Fix-undefined-method-split-when-issue-to-id-is-numer.patch added
- Assignee deleted (Marius BALTEANU)

Here is a fix for this with test included. The patch also improve an existing test.

All tests passs: https:/gitlab.com/redmine-org/redmine/-/pipelines/281875242
#3 - 2021-04-07 19:41 - Alex Last

hi Marius! would you also be interested in redmine-java-api library maintenance? feel free to submit PRs at
https://github.com/taskadapter/redmine-java-api when Redmine REST API changes.

#4 - 2021-04-11 11:20 - Guillermo ML

| had the same error using python-redmine trying to relate two issues in a Bitnami VM with Redmine 4.2.0.
After applying Marius' patch and restarting the VM the error disappears and the relation is created.

Thank you!

#5 - 2021-04-12 11:20 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#6 - 2021-04-13 04:46 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-Fix-undefined-method-split-when-issue-to-id-is-numer.patch 2.99 KB 2021-04-07 Marius BALTEANU
